// Copyright © Selmo Technology GmbH. All Rights Reserved

using SelmoStudio.Hmi.Server.Languages.Models;

namespace SelmoStudio.Hmi.Server.Service
{
    public interface IHmiLanguageService
    {
        void Init(IReadOnlyList<HmiLanguage> languages, HmiLanguage defaultLanguage);

        Action OnLanguageSet { get; set; }

        HmiLanguage CurrentLanguage { get; }

        IReadOnlyList<HmiLanguage> SupportedLanguages { get; }

        void SetStartup();

        HmiLanguage? Get(string cultureCode);

        void Set(HmiLanguage hmiLanguage);
    }
}